Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Interface Header

All Superinterfaces:
  HeaderFooter

All Known Implementing Classes:
  HSSFHeader

    public interface Header

extends HeaderFooter

Common definition of a HSSF or XSSF page header. For a list of all the different fields that can be placed into a header, such as page number, bold, underline etc, see `HeaderFooter`.

Method Summary
`java.lang.String` | `getCenter()` Get the center of the header.
`java.lang.String` | `getLeft()` Get the left side of the header.
`java.lang.String` | `getRight()` Get the right side of the header.
`void` | `setCenter(java.lang.String newCenter)` Sets the center string.
`void` | `setLeft(java.lang.String newLeft)` Sets the left string.
`void` | `setRight(java.lang.String newRight)` Sets the right string.

Method Detail

### getLeft

    java.lang.String getLeft()

  Get the left side of the header.

  Specified by:
    `getLeft` in interface `HeaderFooter`
  Returns:
    The string representing the left side.

### setLeft

    void setLeft(java.lang.String newLeft)

  Sets the left string.

  Specified by:
    `setLeft` in interface `HeaderFooter`
  Parameters:
    `newLeft` - The string to set as the left side.

### getCenter

    java.lang.String getCenter()

  Get the center of the header.

  Specified by:
    `getCenter` in interface `HeaderFooter`
  Returns:
    The string representing the center.

### setCenter

    void setCenter(java.lang.String newCenter)

  Sets the center string.

  Specified by:
    `setCenter` in interface `HeaderFooter`
  Parameters:
    `newCenter` - The string to set as the center.

### getRight

    java.lang.String getRight()

  Get the right side of the header.

  Specified by:
    `getRight` in interface `HeaderFooter`
  Returns:
    The string representing the right side.

### setRight

    void setRight(java.lang.String newRight)

  Sets the right string.

  Specified by:
    `setRight` in interface `HeaderFooter`
  Parameters:
    `newRight` - The string to set as the right side.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD